Skip to main content
`Ctrl`+`K`

# KSPFETIDPGetInnerBDDC

Gets the `PCBDDC` preconditioner used to set up the `KSPFETIDP` matrix for the Lagrange multipliers

## Synopsis

    #include <petscksp.h>
    PetscErrorCode KSPFETIDPGetInnerBDDC(KSP ksp, PC *pc)

## Input Parameter

- ksp - the `KSPFETIDP` Krylov solver

## Output Parameter

- pc - the `PCBDDC` preconditioner

## See Also

KSP: Linear System Solvers, `MATIS`, `PCBDDC`, `KSPFETIDP`, `KSPFETIDPSetInnerBDDC()`, `KSPFETIDPGetInnerKSP()`

## Level

advanced

## Location

src/ksp/ksp/impls/fetidp/fetidp.c

## Implementations

KSPFETIDPGetInnerBDDC_FETIDP() in src/ksp/ksp/impls/fetidp/fetidp.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages